%define name	xbase
%define version	3.1.2
%define release	10

%define major	1
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname -d %{name}

Summary:	Xbase dBase database file library
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source:		http://downloads.sourceforge.net/xdb/%{name}64-%{version}.tar.gz
License:	LGPLv2+

Patch0:		%{name}-%{version}-fixconfig.patch
Patch2:		%{name}-%{version}-gcc44.patch
Patch3:		%{name}-2.0.0-ppc.patch
Patch4:		%{name}-%{version}-xbnode.patch
Patch5:		%{name}-%{version}-lesserg.patch
Patch6:		%{name}-%{version}-outofsource.patch
Patch7:		%{name}-%{version}-gcc47.patch
Patch8:		%{name}-%{version}-gcc-version.patch
Patch9:		xbase-3.1.2-automake-1.13.patch

Group:		Databases
URL:		http://linux.techass.com/projects/xdb/
BuildRequires:	doxygen
BuildRequires:	multiarch-utils

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{libname}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Libraries needed for %{name}

%package -n %{libnamedev}
Summary:	Xbase development package
Group:		Development/Databases
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -qn %{name}64-%{version}
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .automake-1_13

%build
touch AUTHORS README NEWS
cp -p copying COPYING
autoreconf -i
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

# Fix files for multilib
touch -r COPYING %{buildroot}%{_bindir}/xbase-config

pushd %{buildroot}%{_libdir}
ln -s libxbase64.so.1.0.0 libxbase.so.1.0.0
ln -s libxbase64.so.1 libxbase.so.1
ln -s libxbase64.so libxbase.so
popd

pushd %{buildroot}%{_includedir}
ln -s xbase64 xbase
ln -s xbase64.h xbase64/xbase.h
popd

%multiarch_binaries %{buildroot}%{_bindir}/xbase-config

%files
%doc NEWS README AUTHORS COPYING ChangeLog
%{_bindir}/*
%exclude %{_bindir}/xbase-config

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%doc docs html
%{_bindir}/xbase-config
%{multiarch_bindir}/xbase-config
%{_includedir}/xbase*
%{_libdir}/*.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.1.2-10.mga4
+ Revision: 522164
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 3.1.2-9.mga3
+ Revision: 397220
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 3.1.2-8.mga3
+ Revision: 386567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 3.1.2-7.mga3
+ Revision: 337896
- patch9: fix build with automake 1.13

* Sat Oct 20 2012 malo <malo> 3.1.2-6.mga3
+ Revision: 308556
- spec clean-up
- update RPM group

* Mon Aug 20 2012 fedya <fedya> 3.1.2-5.mga3
+ Revision: 282504
- package was unbuildable with gcc 4.7. not all fine

* Tue Feb 22 2011 wally <wally> 3.1.2-4.mga1
+ Revision: 56978
- drop buildroot definition
- clean .spec a bit
- imported package xbase


* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 3.1.2-3mdv2011.0
+ Revision: 620626
- fix upgrade

* Mon Nov 15 2010 Funda Wang <fwang@mandriva.org> 3.1.2-2mdv2011.0
+ Revision: 597691
- add xbase.h symlink for compatibility

* Sat Nov 13 2010 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2011.0
+ Revision: 597071
- build with multiarch
- update file list
- new version 3.1.2
- sync with fedora

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-10mdv2009.0
+ Revision: 266076
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-9mdv2009.0
+ Revision: 212540
- Fix devel provides on x86-64

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-8mdv2009.0
+ Revision: 211398
- migrate devel package to new policy
- Patch0 (Fedora): fix build with gcc 4.3
- Patch1 (Fedora): fix xbase-config --ld
- install xbase-config in devel package
- disable static library

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-7mdv2008.1
+ Revision: 179556
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Adam Williamson <awilliamson@mandriva.org> 2.0.0-6mdv2008.0
+ Revision: 26391
- clean spec, rebuild for new era
- Import xbase



* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-5mdk
- fix build on x86_64

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-4mdk
- rebuild
- spec cleaning

* Sun Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-3mdk
- correct typo in ntx.cpp

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-2mdk
- fix provides and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-1mdk
- initial Mandrake release
- don't use configure macro (breaks build right now)
- needed for new rekall
